Subject: Re: "Delivery Service Notification"
From: Keith Moore <[email-masked]>
To: "Soegi Hartono" <[email-masked]>
Cc: "Keith Moore" <[email-masked]>, "Mark Wickens" <[email-masked]>, [email-masked], [email-masked], "Soegi Hartono" <[email-masked]>
Date: Fri, 15 Dec 2000 22:44:13 -0500
List-Id: <ietf-smtp.imc.org>

> Hi there, I was wondering if I could use any e-mail program that does not
> have the "Delivery Service Notification" feature to have
> DSN by adding special syntax on the recepient field.

nope.

From: [email-masked]
To: Soegi Hartono <[email-masked]>
Cc: [email-masked], [email-masked]
Subject: Re: Delivery Service Notification 
Date: Fri, 15 Dec 2000 13:07:47 -0500
Sender: [email-masked]

--==_Exmh_1007677728P
Content-Type: text/plain; charset=us-ascii

On Fri, 15 Dec 2000 09:45:34 PST, Soegi Hartono said:
> Hi there, I was wondering if I could use any e-mail program that does not
> have the "Delivery Service Notification" feature to have
> DSN by adding special syntax on the recepient field.

No.

Your e-mail program must support it.

I suppose a company *could* come up with some proprietary hack for their
e-mail program that only worked with their e-mail server, that did it via
syntax in the recipient field.  But I think everybody except Microsoft
has learned that's not the way to do it....
-- 
				Valdis Kletnieks
				Operating Systems Analyst
				Virginia Tech

--==_Exmh_1007677728P
Content-Type: application/pgp-signature

--==_Exmh_1007677728P--

From: "Soegi Hartono" <[email-masked]>
To: "Keith Moore" <[email-masked]>, "Mark Wickens" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, "Soegi Hartono" <[email-masked]>
Subject: "Delivery Service Notification"
Date: Fri, 15 Dec 2000 09:47:22 -0800
Disposition-Notification-To: "Soegi Hartono" <[email-masked]>
Sender: [email-masked]

Hi there, I was wondering if I could use any e-mail program that does not
have the "Delivery Service Notification" feature to have
DSN by adding special syntax on the recepient field.

Thanks

Soegi

From: "Soegi Hartono" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Subject: Delivery Service Notification
Date: Fri, 15 Dec 2000 09:45:34 -0800
Disposition-Notification-To: "Soegi Hartono" <[email-masked]>
Sender: [email-masked]

Hi there, I was wondering if I could use any e-mail program that does not
have the "Delivery Service Notification" feature to have
DSN by adding special syntax on the recepient field.

Thanks

Soegi

Date: Fri, 15 Dec 2000 09:41:54 -0800
From: Soegi Hartono <[email-masked]>
To: [email-masked], [email-masked]
Subject: Delivery Service Notification
Sender: [email-masked]

Hi there, I was wondering if I could use any e-mail program that does not have the "Delivery Service Notification" feature to have 
DSN by adding special syntax on the recepient field.

Thanks

Soegi

From: Keith Moore <[email-masked]>
To: "Mark Wickens" <[email-masked]>
cc: [email-masked], [email-masked]
Subject: Re: DSN requests via headers? 
Date: Thu, 14 Dec 2000 22:35:28 -0500
Sender: [email-masked]

> I am interested in opinions on the feasibility of transmitting DSN requests
> by means of message headers rather than SMTP (as RFC 1891 describes).

it's not feasible; at least, not if you want anything resembling
backward compatibility, reliability, or robustness.

Keith

Date: Thu, 14 Dec 2000 15:58:46 -0800
To: "Mark Wickens" <[email-masked]>, <[email-masked]>, <[email-masked]>
From: Harald Alvestrand <[email-masked]>
Subject: Re: DSN requests via headers?
Sender: [email-masked]

At 18:20 14/12/2000 -0500, Mark Wickens wrote:
>Hello,
>
>I am interested in opinions on the feasibility of transmitting DSN requests
>by means of message headers rather than SMTP (as RFC 1891 describes).

This was debated extensively at the time the documents were written, and 
the conclusion at the time was that the layering violation of using headers 
for this was just too distasteful for serious consideration.

>  The
>benefit of using headers would be that they pass through non-supporting
>MTAs, while the SMTP method is thwarted upon encountering an MTA that knows
>nothing about the DSN extension.

this is a feature, not a bug. See the description of RELAYED.
(Microsoft Exchange 5.5 found the only way to make this feature non-useful. 
However, Exchange 2000 can apparently be configured for correct DSN 
generation. Life is not without hope.)

>I realize that only a subset of the request functionality described in RFC
>1891 may be possible. The first thing that comes to mind is that headers
>would not provide an easy way to do per-address requests.
>
>Is this an idea worth pursuing or one doomed to failure?

The functionality of MDNs (RFC 2298) is probably worth looking at.
--
Harald Tveit Alvestrand, [email-masked]
+47 41 44 29 94
Personal email: [email-masked]

From: "Mark Wickens" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Subject: DSN requests via headers?
Date: Thu, 14 Dec 2000 18:20:19 -0500
Importance: Normal
Sender: [email-masked]

Hello,

I am interested in opinions on the feasibility of transmitting DSN requests
by means of message headers rather than SMTP (as RFC 1891 describes). The
benefit of using headers would be that they pass through non-supporting
MTAs, while the SMTP method is thwarted upon encountering an MTA that knows
nothing about the DSN extension.

I realize that only a subset of the request functionality described in RFC
1891 may be possible. The first thing that comes to mind is that headers
would not provide an easy way to do per-address requests.

Is this an idea worth pursuing or one doomed to failure?

Thanks,
Mark
--
Mark Wickens
emailtopia